=== debian/changelog ===
ros-indigo-eus-qp (0.1.15-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 15 May 2018 15:00:00 -0000

ros-indigo-eus-qp (0.1.14-0trusty) trusty; urgency=high

  * [eus_qp/euslisp/test-model-predictive-control.l] Add walking example by footstep list (#682 <https://github.com/jsk-ros-pkg/jsk_control/issues/682>)
  * Contributors: Shunichi Nozawa

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sun, 14 Jan 2018 15:00:00 -0000

ros-indigo-eus-qp (0.1.13-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 17 Apr 2017 15:00:00 -0000

ros-indigo-eus-qp (0.1.12-0trusty) trusty; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-indigo-eus-qp (0.1.11-0trusty) trusty; urgency=high

  * [eus_qp/README.md] Add readme for eus_qp and euslisp programs.
  * [eus_qp/euslisp/cfr-cwc-calculation.l] Use obj env constraint in calc-dynamic-min-max-cog-pos
  * [eus_qp/euslisp/cfr-cwc-calculation.l] Remove unused argument for calc-constraint-matrix-vector-for-obj-env-constraint
  * Contributors: Shunichi Nozawa

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-indigo-eus-qp (0.1.10-0trusty) trusty; urgency=high

  * package.xml : remove unnecessary space within name tag
  * eus_qp : add missing install directory
  * [eus_qp/euslisp/contact-optimization.l,test-contact-wrench-opt.l] support rotational sliding in default-contact-constraint.
  * [eus_qp/euslisp/contact-optimization.l,test-contact-wrench-opt.l] add rotational-sliding-contact constraint class and calc-constraint-param-list-for-rotational-sliding function.
  * [eus_qp/euslisp/contact-optimization.l,test-contact-wrench-opt.l] use :fx, :-fx instead of :x, :-x.
  * [test/test_cfr_cwc_calculation.l] Check version of jskeus for old deb installed environment (like hydro travis)
  * [eus_qp/*/*cfr-cwc-calculation*, eus_qp/CMakeLists.txt] Add cfr and cwc calculation.
  * [eus_qp/euslisp/model-predictive-control.l] Enable to add additional-inequality-matrix and additional-inequality-min-vector for MPC COG parameters
  * [eus_qp/euslisp/contact-optimization.l] Add additional-inequality-matrix and additional-inequality-min-vector
  * [eus_qp/euslisp/test-contact-wrench-opt.l,eus_qp/test/test_contact_wrench_opt.l] Add test for cop polygon and friction polycone constraint.
  * [eus_qp/euslisp/contact-optimization] Add linearlized polycone friction constraint
  * [eus_qp/euslisp/model-predictive-control.l] Just fix indent
  * [eus_qp/euslisp, eus_qp/test] Add skip count for receding horizon proc count and update tests.
  * [eus_qp/euslisp/contact-optimization.l] print message of too large equality error only when debug is true.
  * [eus_qp/euslisp/model-predictive-control.l] Add argument to switch solve-qp-mode for qpoases
  * [eus_qp/euslisp/contact-optimization.l] Enable to set solve-qp-mode. Default value is same as solve-qpoases-qp function
  * [eus_qp/euslisp/test-contact-wrench-opt.l] Add test for use equality-error-weight
  * [eus_qp/euslisp/contact-optimization.l] Add argument to support equality error.
  * [eus_qp/euslisp/contact-optimization.l] add :gen-drawing-object method to 6d-min-max-contact-constraint
  * Merge pull request #574 <https://github.com/jsk-ros-pkg/jsk_control/issues/574> from mmurooka/poly-cop
    [eus_qp/euslisp] add polygon-cop-contact-constraint
  * [eus_qp/euslisp/contact-optimization.l, test-contact-wrench-opt.l, eus_qp/test/test_contact_wrench_opt.l] Add function to calculate wrench from given wrench. Currently calculation with contact constraints does not work.
  * [euslisp/contact-optimization.l] add argument contact-face to default-contact-constraint.
  * [euslisp/test-contact-wrench-opt.l] add test for polygon-cop-contact-constraint.
  * [euslisp/contact-optimization.l] add class and function for polygon-cop-contact-constraint.
  * Contributors: Kei Okada, Masaki Murooka, Shunichi Nozawa

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Dec 2016 15:00:00 -0000

ros-indigo-eus-qp (0.1.9-0trusty) trusty; urgency=high

  * Merge pull request #565 from mmurooka/6d-minmax-constraint
    [eus_qp/euslisp] add 6d-min-max-contact-constraint class and test
  * [eus_qp/euslisp] pass debug option to qp solve function.
  * [eus_qp/euslisp] add 6d-min-max-contact-constraint class and test for that.
  * [eus_qp/euslisp/contact-optimization.l,test-contact-wrench-opt.l] Add contact constraint for hand gripper and add example.
  * [eus_qp/euslisp/contact-optimization.l, test-contact-wrench-opt.l] Add mu-margin-ration and cop-margin-ratio. Add example for these parameters.
  * [eus_qp/euslisp/contact-optimization.l] Fix updating of drawing object newcoords. If initialize, update coords.
  * [eus_qp/euslisp/contact-optimization.l] Generate drawing object when drawing (https://github.com/jsk-ros-pkg/jsk_control/pull/558).
  * [eus_qp/euslisp/contact-optimization.l] Enable to set jacobi from arg.
  * [eus_qp/CMakeLists.txt, package.xml, src/qp_lib.cpp] Revert Eigen usage hack by garaemon, because we can build this program on travis without this hack (https://github.com/jsk-ros-pkg/jsk_control/commit/4937ac04d0c1beceb8c4c92eac258c00549943f9)
  * [eus_qp/euslisp/contact-optimization.l] Just fix indent.
  * [eus_qp/euslisp/contact-optimization.l] Add max fz if necessary
  * [eus_qp/euslisp/model-predictive-control.l] Fix typos in MPC drift and output ports.
  * [eus_qp/euslisp/model-predictive-control.l,test-model-predictive-control.l] Update mpc to fix calculation for drift and output matrices
  * [eus_qp/test/test_model_predictive_control.test] Increase time-limit for MPC rostest
  * [eus_qp/euslisp/contact-optimization.l] Define concatenate matrix function for old euslisp environment.
  * [eus_qp/euslisp/test-model-predictive-control.l] Update for IK default argument for MPC examples.

