=== debian/control ===
Source: ros-indigo-eus-qp
Section: misc
Priority: extra
Maintainer: Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-eus-qpoases, ros-indigo-euslisp, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-eus-qp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-euslisp
Description: eus_qp is an interface of euslisp to solve qp problems with linear constraints.
